<template>
  <div class="sidebar" :class="{ visible: isSideBarVisible }">
    <button class="sidebar-item" @click="() => showSubMenu('spectacles')">
      <p class="sidebar-item-title">spectacles</p>
      <ArrowRightIcon />
    </button>
    <button class="sidebar-item" @click="() => showSubMenu('sunglasses')">
      <p class="sidebar-item-title">sunglasses</p>
      <ArrowRightIcon />
    </button>
    <button class="sidebar-item"><p class="sidebar-item-title">home try on</p></button>
    <button class="sidebar-item"><p class="sidebar-item-title">Pair for pair</p></button>
  </div>
</template>
<script lang="ts">
import ArrowRightIcon from '@/components/icons/ArrowRightIcon.vue'
export default {
  components: {
    ArrowRightIcon
  },
  props: {
    isSideBarVisible: {
      type: Boolean,
      required: true
    },
    showSubMenu: {
      type: Function,
      required: true
    }
  }
}
</script>
